# -*- coding: utf-8 -*- # Macro Begin: /home/ajinkya/.FreeCAD/Macros/bug_2735_replicate.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++ import FreeCAD import Sketcher App.ActiveDocument.Sketch.addGeometry(Part.Line(App.Vector(0.000000,0.000000,0),App.Vector(30.779665,66.252838,0)),False) App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Angle',0,1,-2,1,0.434911)) App.ActiveDocument.Sketch.setDatum(0,App.Units.Quantity('24.920000 deg')) App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Coincident',0,1,-1,1)) # Remove this and bug goes away App.ActiveDocument.Sketch.delGeometry(0) App.getDocument("Unnamed").recompute() # Macro End: /home/ajinkya/.FreeCAD/Macros/bug_2735_replicate.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++